<?php

namespace Factory;

use Util\InstanceProvider;
use Zeedhi\DevOps\Model\Projectmanagement\Entities;

class StructureType{

    private $entityManager;

    public function __construct(){
        $this->entityManager  = InstanceProvider::getEntityManager();
    }

    function createStructureType($name, $control, $cdOper, $nrOrg){
        $entity = new Entities\StructureType();
        $entity->setLabel($name);
        $entity->setControl($control);
        $entity->setOrganization($nrOrg);
        $entity->setUpdatedBy($cdOper);


        return $entity;
    }

    function updateStructureType(Entities\StructureType $entity ,$name, $control, $cdOper, $nrOrg){
        $entity->setLabel($name);
        $entity->setControl($control);
        $entity->setOrganization($nrOrg);
        $entity->setUpdatedBy($cdOper);

        return $entity;
    }

}
